class OrbitBackendController < ApplicationController
  include OrbitCategory::Categorizing
  include OrbitCoreLib::Authorization
  include OrbitTag::Tagging
  include AdminHelper
  include ApplicationHelper

  helper :default_index
  
  layout "back_end"

  def get_statuses
    status = []
    status << 'is_top'
    status << 'is_hot'
    status << 'is_hidden' unless is_guest?
    if @module_app.is_approvable && (is_manager? ||  is_sub_manager?)
      status << 'is_pending'
      status << 'is_checked'
      status << 'is_rejected'
    end
    status
  end
end
